Last Comment Bug 417605 - Change BeOS to invoke improved code
: Change BeOS to invoke improved code
Status: RESOLVED FIXED
: fixed1.8.1.13
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 BeOS
: -- enhancement (vote)
: ---
Assigned To: Doug Shelton
:
Mentors:
Depends on: 140412
Blocks: 181464
  Show dependency treegraph
 
Reported: 2008-02-14 14:37 PST by Doug Shelton
Modified: 2014-07-02 12:45 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Changes BeOS to use newer code (920 bytes, patch)
2008-02-14 17:12 PST, Doug Shelton
thesuckiestemail: review+
Details | Diff | Review
Same as before but without the extra blank line. (918 bytes, patch)
2008-02-15 14:18 PST, Doug Shelton
samuel.sidler+old: approval1.8.1.13+
Details | Diff | Review

Description Doug Shelton 2008-02-14 14:37:10 PST
User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.12) Gecko/20080209 BonEcho/2.0.0.12
Build Identifier: Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.12) Gecko/20080209 BonEcho/2.0.0.12

It appears the improved code introduced in Bug 140412 was never tried/tested under BeOS.  I'm opening this bug to track my attempt to build with and test this code.

Reproducible: Always
Comment 1 Doug Shelton 2008-02-14 17:12:22 PST
Created attachment 303423 [details] [diff] [review]
Changes BeOS to use newer code

Firefox builds and runs using newer code under BeOS (Zeta).
Comment 2 tqh 2008-02-14 23:34:21 PST
Comment on attachment 303423 [details] [diff] [review]
Changes BeOS to use newer code

r=thesuckiestemail@yahoo.se

It would be nice to see what thought any expert on this might have.
Comment 3 Doug Shelton 2008-02-15 14:18:56 PST
Created attachment 303611 [details] [diff] [review]
Same as before but without the extra blank line.

BeOS-only change to build using gcc code from bug 140412.  Builds/tests OK under BeOS with gcc 2.95.3.
Comment 4 Doug Shelton 2008-02-18 15:42:53 PST
Comment on attachment 303611 [details] [diff] [review]
Same as before but without the extra blank line.

cancelling SR request.  Per roc on developers IRC, build changes do not require superreview.
Since this is inside a BeOS-only conditional, it should be quite safe to commit.

I now need to flag to make the change in branch code.  sergei, can you help with the commit, please?
Comment 5 Samuel Sidler (old account; do not CC) 2008-02-18 15:46:51 PST
Comment on attachment 303611 [details] [diff] [review]
Same as before but without the extra blank line.

Approved for the 1.8 branch before 1.8.1.13. a=ss
Comment 6 Sergei Dolgov 2008-02-19 13:12:12 PST
Checking in mozilla/xpcom/reflect/xptcall/src/md/unix/Makefile.in;
/cvsroot/mozilla/xpcom/reflect/xptcall/src/md/unix/Makefile.in,v  <--  Makefile.in
new revision: 1.80.4.6; previous revision: 1.80.4.5
done 
Comment 7 Doug Shelton 2008-02-19 13:54:00 PST
thank you, sergei!  If we can, we should also check this in on the trunk so we don't forget.  tqh is making good progress on gcc4 builds for Haiku, so trunk may become important again sometime soon.
Comment 8 Daniel Veditz [:dveditz] 2008-05-29 13:55:21 PDT
was going to close this "FIXED" since it is marked as a branch bug and is fixed there (comment 6), but I guess this is still open as a reminder (comment 7) so changing version to Trunk.
Comment 9 Doug Shelton 2008-06-06 08:34:08 PDT
sergei_d, here's another one to place in the trunk when you get a chance.  Daniel, thanks for your patience while we clean things up.
Comment 10 Sergei Dolgov 2008-06-06 08:44:56 PDT
(In reply to comment #9)
> sergei_d, here's another one to place in the trunk when you get a chance. 
> Daniel, thanks for your patience while we clean things up.
> 
Is it appliable to trunk in current form?
Comment 11 Doug Shelton 2008-06-06 09:01:46 PDT
Looks like it should be, though offset a few lines.
http://lxr.mozilla.org/seamonkey/source/xpcom/reflect/xptcall/src/md/unix/Makefile.in#106
Comment 12 Andrew McCreight [:mccr8] 2014-07-02 12:45:16 PDT
Looks like this was fixed a while ago.

Note You need to log in before you can comment on or make changes to this bug.